/*
  Copyright 2009 Jason Wells

  error.c: functions for error handling and reporting

  This file is a part of Tic Tac Toe.

  Tic Tac Toe is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  any later version.

  Tic Tac Toe is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Tic Tac Toe.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <stdarg.h>
#include <stdio.h>

/* eprintf: formats an error message and prints to stderr. input is analogous to the */
/*          printf family. the function returns the return value of the vfprint call. */
int
eprintf (const char *fmt, ...)
{
  va_list ap;
  
  va_start (ap, fmt);
  int i = vfprintf (stderr, fmt, ap);
  va_end (ap);

  return i;
}
